Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.ocsp
Class ServiceLocator

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.ocsp.ServiceLocator

All Implemented Interfaces:
  DEREncodable

    public class ServiceLocator

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`ServiceLocator()`

Method Summary
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceLocator

    public ServiceLocator()

Method Detail

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       ServiceLocator ::= SEQUENCE {
           issuer    Name,
           locator   AuthorityInfoAccessSyntax OPTIONAL }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45